# -*- coding: utf-8 -*- 
import autopath
from template import weekform, log_result, navigation

def test_week():
    """valide la sortie html de generation de menu """
    context = {'week': [('jeudi', 'access.log'), ('mercredi', 'access.log.1.gz'), ('mardi', 'access.log.2.gz'), ('lundi', 'access.log.3.gz')], 'lastweek': [('dimanche', 'access.log.4.gz'), ('samedi', 'access.log.5.gz'), ('vendredi', 'access.log.6.gz'), ('jeudi', 'access.log.7.gz'), ('mercredi', 'access.log.8.gz'), ('mardi', 'access.log.9.gz'), ('lundi', 'access.log.10.gz')]}
    schedule = ["00-23", "00-02", "02-04", "04-06", "06-08", "08-10", "10-12", "12-14", "14-16", "16-18", "18-20", "20-22", "22-00"]
    expected = """<TABLE WIDTH="100%" BORDER="0" CELLSPACING="0" CELLPADDING="15">
<TR>
<H1><font Face="Arial" Size="-1"><b>Afficher la liste des sites depuis:</b></font></H1>
<P>

<Form METHOD=POST ACTION="essai.html">
<TD>Cette semaine</TD><TD>La semaine dernière</TD><TD>Horaire</TD>
<tr><td>
<select name="week">
<option value="">-------</option>
<option value="access.log">jeudi</option>
<option value="access.log.1.gz">mercredi</option>
<option value="access.log.2.gz">mardi</option>
<option value="access.log.3.gz">lundi</option>
</select>
</td><td>
<select name="lastweek" size="1" >
<option value="">-------</option>
<option value="access.log.4.gz">dimanche</option>
<option value="access.log.5.gz">samedi</option>
<option value="access.log.6.gz">vendredi</option>
<option value="access.log.7.gz">jeudi</option>
<option value="access.log.8.gz">mercredi</option>
<option value="access.log.9.gz">mardi</option>
<option value="access.log.10.gz">lundi</option>
</select>
</td><td>
<select name="schedule">
<option value="00-23">"toutes les heures"</option>
<option value="00-02">00-02</option>
<option value="02-04">02-04</option>
<option value="04-06">04-06</option>
<option value="06-08">06-08</option>
<option value="08-10">08-10</option>
<option value="10-12">10-12</option>
<option value="12-14">12-14</option>
<option value="14-16">14-16</option>
<option value="16-18">16-18</option>
<option value="18-20">18-20</option>
<option value="20-22">20-22</option>
<option value="22-00">22-00</option>
</select>
</td>
<tr>
<td></td>
<td align = center>
<INPUT TYPE="submit" Value="Validez">
</td>&nbsp;&nbsp;<td>
<A HREF="aide-choix-log-squid.php">Aide</A>
</td>
</form>
</P>
</TR>
</TABLE>"""
    assert expected in weekform(context, schedule, result_page='essai.html')
    
def test_logresult():
    context = [{'url': 'http://fr.fxfeeds.mozilla.com/fr/firefox/headlines.xml', 'ip': '10.21.11.30', 'chiffre2': '338', 'date': '2007.6.23 9:02:00', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://www.sex.com/', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.23 9:02:38', 'login': '-', 'method': '*DENIED* Site interdit: sex.com', 'chiffre1': 'GET'}, {'url': 'http://sexocean.com/', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.23 9:02:44', 'login': '-', 'method': '*DENIED* Site interdit: sexocean.com', 'chiffre1': 'GET'}, {'url': 'http://sexocean.com/favicon.ico', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.23 9:02:44', 'login': '-', 'method': '*DENIED* Site interdit: sexocean.com', 'chiffre1': 'GET'}, {'url': 'http://sexe.com/', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.23 9:03:01', 'login': '-', 'method': '*DENIED* Site interdit: sexe.com', 'chiffre1': 'GET'}, {'url': 'http://sexe.com/favicon.ico', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.23 9:03:02', 'login': '-', 'method': '*DENIED* Site interdit: sexe.com', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/', 'ip': '10.21.11.30', 'chiffre2': '271', 'date': '2007.6.23 9:03:07', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/pub/', 'ip': '10.21.11.30', 'chiffre2': '67387', 'date': '2007.6.23 9:03:27', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/pub/', 'ip': '10.21.11.30', 'chiffre2': '67386', 'date': '2007.6.23 9:03:30', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/css/style.css', 'ip': '10.21.11.30', 'chiffre2': '12583', 'date': '2007.6.23 9:03:30', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/js/admin.js', 'ip': '10.21.11.30', 'chiffre2': '11638', 'date': '2007.6.23 9:03:30', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/css/contrib/kaiska.css', 'ip': '10.21.11.30', 'chiffre2': '17866', 'date': '2007.6.23 9:03:31', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://linuxfr.org/css/linuxfr_print.css', 'ip': '10.21.11.30', 'chiffre2': '834', 'date': '2007.6.23 9:03:31', 'login': '-', 'method': '', 'chiffre1': 'GET'}, {'url': 'http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox2.0.0.3&mozver=1.8.1.3-2007030919&version=goog-white-domain:1:23,goog-white-url:1:371,goog-black-url:1:11729,goog-black-enchash:1:27574', 'ip': '10.21.11.30', 'chiffre2': '0', 'date': '2007.6.15 12:19:26', 'login': '-', 'method': '', 'chiffre1': 'GET'}]
    expected = """<table align="center" border="0" cellpadding="3" cellspacing="0" width="770">
<tbody>
<tr align="left" bgcolor="#dfdfff">
<td align="left">date</td><td align="left">poste client</td><td
align="left">nom de domaine</td><td align="left">utilisateur</td></tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:02:00</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://fr.fxfeeds.mozilla.com/fr/firefox/headlines.xml</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:02:38</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://www.sex.com/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:02:44</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://sexocean.com/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:02:44</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://sexocean.com/favicon.ico</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:01</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://sexe.com/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:02</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://sexe.com/favicon.ico</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:07</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:27</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/pub/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:30</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/pub/</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:30</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/css/style.css</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:30</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/js/admin.js</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:31</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/css/contrib/kaiska.css</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.23 9:03:31</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://linuxfr.org/css/linuxfr_print.css</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
<tr align="left" bgcolor="#ffffca"
valign="top"><td align="left">2007.6.15 12:19:26</td>
<td align="left">
<a href="#">10.21.11.30</a></td>
<td align="left">
<a href="#">http://sb.google.com/safebrowsing/update?client=navclient-auto-ffox2.0.0.3&mozver=1.8.1.3-2007030919&version=goog-white-domain:1:23,goog-white-url:1:371,goog-black-url:1:11729,goog-black-enchash:1:27574</a></td>
<td align="left">
<a href="#">-</a></td>
</tr>
</tbody>
</table>
"""
    assert expected in log_result(context)


def test_naviagation():
    """verifie la sortie de la navigation horaire"""
    expected ="""<p>|<a href="result.html?semaine=&jour=&debut=00&fin=23">de 00 heure à 23 heure</a>|<a href="result.html?semaine=&jour=&debut=00&fin=02">de 00 heure à 02 heure</a>|<a href="result.html?semaine=&jour=&debut=02&fin=04">de 02 heure à 04 heure</a>|<a href="result.html?semaine=&jour=&debut=04&fin=06">de 04 heure à 06 heure</a>|<a href="result.html?semaine=&jour=&debut=06&fin=08">de 06 heure à 08 heure</a>|<a href="result.html?semaine=&jour=&debut=08&fin=10">de 08 heure à 10 heure</a>|<a href="result.html?semaine=&jour=&debut=10&fin=12">de 10 heure à 12 heure</a>|<a href="result.html?semaine=&jour=&debut=12&fin=14">de 12 heure à 14 heure</a>|<a href="result.html?semaine=&jour=&debut=14&fin=16">de 14 heure à 16 heure</a>|<a href="result.html?semaine=&jour=&debut=16&fin=18">de 16 heure à 18 heure</a>|<a href="result.html?semaine=&jour=&debut=18&fin=20">de 18 heure à 20 heure</a>|<a href="result.html?semaine=&jour=&debut=20&fin=22">de 20 heure à 22 heure</a>|<a href="result.html?semaine=&jour=&debut=22&fin=00">de 22 heure à 00 heure</a>|</p>"""
    assert expected in navigation(pgname="result.html", filename='lundi', semaine='week')
